<?php
// WizyTówka - admin/instalacja.php
if ( !defined('WT') ) exit();

if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	if ( empty($_POST['imie_i_nazwisko']) or empty($_POST['email']) or empty($_POST['adres']) or empty($_POST['haslo_1']) )
		$komunikat = 'Nie wypełniono wszystkich wymaganych pól.';
	elseif ( empty($_POST['akceptacja_licencji']) )
		$komunikat = 'Akceptacja licencji jest wymagana.';
	elseif ( $_POST['haslo_1'] != $_POST['haslo_2'] )
		$komunikat = 'Podane hasła nie są identyczne.';
	elseif ( !sprawdz_email($_POST['email']) )
		$komunikat = 'Podany adres e-mail jest niepoprawny.';
	elseif ( !sprawdz_adres($_POST['adres']) )
		$komunikat = 'Podany adres strony jest niepoprawny.';
	
	else {
	
		$blad = false;
			// podziękowania za pomoc dla Willy'ego, http://grafifor.pl/Temat-wizytowka-twoj-prosty-cms?pid=23883#pid23883
		foreach ( $wymagane_foldery as $folder ) {
			if ( !@mkdir($folder) ) {
				if ( !is_dir($folder) or !is_writable($folder) ) {
					$blad = $folder;
					break;
				}
			}																														 
			elseif ( $folder != PLIKI ) {
				zapisz_plik( $folder.'/index.html', '<!doctype html>' );
				if ( $folder != DANE and $folder != DANE.'/motywy' and $folder != DANE.'/typy' )
					zapisz_plik( $folder.'/.htaccess', 'Deny from all' );
			}
		}
		
		if ( !$blad and !$blad_tworzenia_katalogu_dane ) {
		
			$ac = getdate();
			$najblizsza_polnoc = mktime(0,0,0,$ac['mon'],$ac['mday']+1,$ac['year']);
			
			$domyslna_podstrona = array(
				'identyfikator' => 'strona-glowna',
				'strona' => array('tytul_podstrony' => 'Strona główna', 'typ_podstrony' => 's__strona', 'ostatnia_aktualizacja' => date(FORMAT_DATY) ),
				'zawartosc' => array('tresc' => 'To jest przykładowa strona główna witryny opartej na prostym systemie zarządzania treścią WizyTówka ' . WERSJA . '.' . "\n\n" . '- Już teraz przejdź do panelu administracyjnego WizyTówki, aby [zmodyfikować stronę główną](admin.php?a=edycja&b=strona-glowna) swojej witryny.' . "\n" . '- W WizyTówce do formatowania tekstu możesz używać języka Markdown. Możesz wyróżniać tekst *pochyleniem* lub __pogrubieniem__, tworzyć [odnośniki](http://google.com) i nie tylko! Poznaj całą [składnię markdown](admin.php?a=informacje&b=markdown).' . "\n" . '- WizyTówka pozwala na [dopasowanie kolorystyki strony](admin.php?a=wyglad) oraz wybór jednego z kilku prostych szablonów wizualnych.' . "\n" . '- WizyTówka to nie tylko statyczne podstrony z tekstem, ale również galerie zdjęć, magazyny plików, miniblogi czy biblioteki audio.' . "\n" . '- Najnowszą wersję WizyTówki zawsze znajdziesz na [wizytowka.tomaszgasior.kao.pl](http://wizytowka.tomaszgasior.kao.pl).')
			);
		
			$domyslna_konfiguracja = array(
				'ustawienia' => array(
					'tytul' => $_POST['imie_i_nazwisko'], 'uklad_tytulu' => '%s – '.$_POST['imie_i_nazwisko'], 'adres' => $_POST['adres'],
					'autor' => $_POST['imie_i_nazwisko'], 'strona_glowna' => $domyslna_podstrona['identyfikator'],
					'opis' => '', 'slowa_kluczowe' => '', 'nie_indeksuj_strony' => '','generuj_mape_strony' => '1',
					'typografia_cudzyslowy' => '1', 'typografia_pozostale' => '1', 'typografia_spojniki' => '1', 'markdown' => '1',
					'email' => $_POST['email'], 'format_daty' => 'd.m.Y H:i:s', 'przyjazne_adresy' => '',
					'pomoc_poczatkujacy' => '1', 'reset_hasla' => '1', 'edytor' => '1', 'kontrast' => '', 'przerwa_techniczna' => '',
					'link_edycja' => '1', 'link_admin' => '1', 'ostatnia_aktualizacja' => '', 'ciasteczka' => '1', 'edytor_podglad' => '1',
					'ciasteczka_tekst' => 'niniejsza strona używa ciasteczek', 'podglad_obrazow' => '', 'wersja_WT' => WERSJA
				),
				'wyglad' => array(
					'kolor_tekstu' => '#000000', 'kolor_tla' => '#FFFFFF', 'rozmiar_tekstu' => '16', 'kroj_tekstu' => 'Source Sans Pro',
					'szerokosc_strony' => '750', 'logo' => '', 'logo_ukryj' => '1', 'motyw' => 's_notatnik', 'ustawienia_uzytkownika' => '1'
				),
				'statystyki' => array(
					'uzywaj_statystyk' => '1', 'wejscia_dzisiaj' => '0', 'data_ostatniego_wejscia' => '—', 'wejscia_wszystkie' => '0',
					'uplyw_waznosci_wejsc_dzisiaj' => $najblizsza_polnoc, 'licznik' => '', 'tekst_licznika' => 'odwiedzin: %s',
					'statystyki_zewnetrzne' => '', 'statystyki_zewnetrzne_niezalogowanym' => '1'
				),
				'menu' => array(
					'menu_glowne' => array($domyslna_podstrona['identyfikator']), 'menu_dodatkowe' => array(''), 'automatyczne_dodawanie' => '1'
				),
				'uzytkownik' => array(
					'kod' => '', 'data_instalacji' => date(FORMAT_DATY), 'data_instalacji_unix' => time(), 'haslo' => '',
				)
			);
			
			zapis_konf( 'ustawienia', $domyslna_konfiguracja['ustawienia'] );
			zapis_konf( 'wyglad', $domyslna_konfiguracja['wyglad'] );
			zapis_konf( 'statystyki', $domyslna_konfiguracja['statystyki'] );
			zapis_konf( 'menu', $domyslna_konfiguracja['menu'] );
			zapis_konf( 'uzytkownik', $domyslna_konfiguracja['uzytkownik'] );
			zapis_konf_poj( 'uzytkownik', 'haslo', przygotuj_haslo($_POST['haslo_1']) );
			
			zapis_podstrona( $domyslna_podstrona['identyfikator'], $domyslna_podstrona['strona'], $domyslna_podstrona['zawartosc'] );
			
			$adres_admin = odczyt_konf('ustawienia','adres') . '/admin.php';
			$haslo = str_repeat( '*', strlen($_POST['haslo_1']) );
			$tresc = 'WizyTówka została poprawnie zainstalowana i jest gotowa do pracy. Poniżej zamieszczono dane twojej witryny internetowej.' . "\n\n" . 'Adres strony: ' . $_POST['adres'] . "\n" . 'Panel administracyjny: ' . $adres_admin . "\n" . 'Hasło: ' . $haslo . "\n\n" . 'Miłego dnia!';
			wiadomosc( $tresc );
			
			$zakonczenie_instalacji = true;
		
		}
		
		else
			$komunikat = 'Wystąpił błąd przy tworzeniu katalogu <code>' . $blad . '</code>.';
	
	}

}

?>
<!doctype html>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
<title>WizyTówka</title>
<link rel="Stylesheet" href="<?php echo SYSTEM ?>/pliki/form.css?<?php echo WERSJA ?>" />
<!--[if IE]>
<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->
</head>

<body>

<div class="form">

<header><h1>WizyTówka</h1></header>

<form method="post">

<?php if ( !empty($komunikat) ) { ?>
<fieldset class="komunikat">

<legend>&nbsp;</legend>

<div>
<?php echo $komunikat; ?>
</div>

</fieldset>
<?php } ?>

<?php if ( $zakonczenie_instalacji ) { ?>
<fieldset>

<legend>Zakończenie instalacji</legend>

<p>Instalacja WizyTówki przebiegła pomyślnie. Twoja witryna jest już gotowa. Przejdź teraz do swojego panelu administracyjnego, aby wypełnić pierwszą podstronę.</p>

</fieldset>

<fieldset>

<legend>Panel administracyjny</legend>

<p><strong><a href="admin.php"><?php echo $_POST['adres'] ?>/admin.php</a></strong></p>

</fieldset>
<?php
} else { 
if ( $blad == DANE ) {
?>
<fieldset>

<legend>Błąd</legend>

<p>Aby WizyTówka została poprawnie zainstalowana, musi zostać utworzony katalog <code><?php echo DANE ?></code>. Utwórz go za pomocą klienta FTP nadając mu prawa chmod <code>777</code>, a następnie wypełnij poniższy formularz ponownie.</p>

</fieldset>
<?php } ?>
<fieldset>

<legend>Podstawowe dane</legend>

<table>
<tr> <td class="nazwa">Imię i nazwisko:</td> <td><input type="text" name="imie_i_nazwisko" required /></td> </tr>
<tr> <td class="nazwa" >Hasło dwukrotnie:</td> <td><input type="password" name="haslo_1" required /></td> </tr>
<tr> <td class="nazwa"></td> <td><input type="password" name="haslo_2" required /></td> </tr>
<tr> <td class="nazwa">Adres e-mail:</td> <td><input type="email" name="email" required /></td> </tr>
<tr> <td class="nazwa">Adres strony:</td> <td><input type="url" name="adres" required value="<?php
echo 'http://' . $_SERVER['SERVER_NAME'] . substr( $_SERVER['PHP_SELF'], 0, strlen($_SERVER['PHP_SELF'])-strlen(basename($_SERVER['PHP_SELF']))-1 );
?>" /></td> </tr>
</table>

</fieldset>

<fieldset>

<legend>Licencja</legend>

<div class="licencja">
<?php include(SYSTEM.'/admin/licencja.php'); ?>
</div>

<div>
<label><input type="checkbox" name="akceptacja_licencji" value="1" />akceptuję warunki licencji</label>
</div>

</fieldset>

<fieldset>

<legend>&nbsp;</legend>

<div>
<input type="submit" value="Zainstaluj" />
</div>

</fieldset>
<?php } ?>

</form>

</div>

</body>